%define autodist_uid 65415
%define autodist_gid 65415

Name:          autodist
Version:       0.9.12
Release:       1mamba
Summary:       A tool based on autospec for repository-level automatic builds
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openmamba.org
Source:        http://www.openmamba.org/distribution/sources/autodist-%{version}.tar.bz2
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      sudo
Requires:      rpm
Requires:      vixie-cron
Requires:      autospec >= 0.9.7
Requires:      lynx

%description
A tool based on autospec for repository-level automatic builds.

%package webbuild
Summary:       Web interface components for %{name}
Group:         Applications/Web
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      httpd

%description webbuild
Web interface components for %{name}.

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -d -m0755 %{buildroot}%{_localstatedir}/autoport
install -d -m1777 %{buildroot}%{_localstatedir}/autodist-tmp

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%pre
if [ $1 -ge 1 ]; then
   /usr/sbin/groupadd autodist -g %{autodist_gid} 2>/dev/null
   /usr/sbin/useradd -u %{autodist_uid} -c 'Automatic Build System' -d /var/autodist -g autodist -G packager,tty \
      -s /bin/bash autodist 2>/dev/null
fi
exit 0

%preun
if [ $1 -eq 0 ]; then
   /usr/sbin/groupdel autodist 2>/dev/null
   /usr/sbin/userdel autodist 2>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/cron.daily/40-autodist-upstream-updates
%{_sysconfdir}/cron.hourly/60-autodist-update
%{_sysconfdir}/cron.hourly/65-autoport-native
%{_sysconfdir}/cron.hourly/66-autoport-chroot
#%{_sysconfdir}/cron.hourly/65-autoport
%{_sysconfdir}/cron.daily/40-autodist-cleanold
%config(noreplace) %attr(0664,root,packager) %{_sysconfdir}/autodist/config
%attr(0440,root,root) %{_sysconfdir}/sudoers.d/autoport
%dir %attr(0775,root,packager) %{_sysconfdir}/autodist/distdb.d
%{_sysconfdir}/autodist/distdb.d/embedded.db
%{_sysconfdir}/autodist/distdb.d/openmamba-website.db
%config(noreplace) %attr(0664,root,packager) %{_sysconfdir}/autodist/blacklist
%attr(0775,root,packager) %dir %{_sysconfdir}/autodist/scripts
%config(noreplace) %attr(0775,root,packager) %{_sysconfdir}/autodist/scripts/update-specfile
%config(noreplace) %{_sysconfdir}/sysconfig/autoport
%{_bindir}/autodist
%{_bindir}/autodist-tool
%{_bindir}/autoport
%{_sbindir}/autodist-repository
%{_sbindir}/autodist-upstream-updates
%{_sbindir}/automaint
%{_sbindir}/autoport-chroot
%dir %{_datadir}/autodist
%{_datadir}/autodist/webbuild-functions
%attr(4775,root,packager) %{_bindir}/autoport-fix-environment
%attr(0775,autodist,packager) %dir /var/autodist
%config(noreplace) %attr(0664,autodist,packager) /var/autodist/.autospec
%config %attr(0664,autodist,packager) /var/autodist/.bash_profile
%config %attr(0664,autodist,packager) /var/autodist/.bashrc
%attr(0775,autodist,packager) %dir /var/autodist/RPM
%attr(0775,autodist,packager) /var/autodist/RPM/*
%attr(0775,autodist,packager) %dir /var/run/autodist
%attr(0775,autodist,packager) %dir /var/autodist/template
%attr(0775,autodist,packager) %dir /var/autodist/template/autoupdate
%config %attr(0664,root,packager) /var/autodist/template/autoupdate/auto.success
%config %attr(0664,root,packager) /var/autodist/template/autoupdate/auto.skip
%attr(0775,root,packager) %dir /var/autodist/template/autoupdate/spec-patches-build
%attr(0775,root,packager) %dir /var/autodist/template/autoupdate/spec-patches-build/old
%attr(0775,root,packager) %dir /var/autodist/template/autoupdate/spec-patches-update
%attr(0775,root,packager) %dir /var/autodist/template/autoupdate/spec-patches-update/old
%attr(0775,root,packager) %dir /var/autodist/log
%attr(0775,autodist,packager) /var/autodist/log/*
%attr(1777,autodist,packager) %dir %{_localstatedir}/autodist-tmp
%dir %{_localstatedir}/autoport
%doc COPYING ChangeLog

%files webbuild
%defattr(-,root,root)
%attr(0440,root,root) %{_sysconfdir}/sudoers.d/webbuild
%{_sysconfdir}/logrotate.d/webbuild
%{_prefix}/libexec/webbuild-checkpassword
%{_prefix}/libexec/webbuild-sudo
%{_datadir}/autodist/webbuild-functions-private
%{_localstatedir}/www/cgi-bin/webbuild
%{_localstatedir}/www/html/images/*
%{_localstatedir}/www/html/scripts/*
%{_localstatedir}/www/html/styles/webbuild.css
%{_localstatedir}/www/html/autobuilds.html
%{_localstatedir}/www/html/webbuild.html
%dir %{_localstatedir}/www/cgi-bin/autodist
%dir %attr(0755,apache,nobody) %{_localstatedir}/webbuild
%dir %attr(0755,apache,nobody) %{_localstatedir}/webbuild/cache
%dir %attr(0755,apache,nobody) %{_localstatedir}/webbuild/notes
%dir %attr(0755,apache,nobody) %{_localstatedir}/webbuild/tmp
%dir %attr(0755,apache,nobody) %{_localstatedir}/webbuild/users
%config(noreplace) %attr(0600,apache,nobody) %{_localstatedir}/webbuild/users/admin.conf

%changelog
* Sat Jun 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.12-1mamba
- update to 0.9.12

* Wed Jun 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.11-2mamba
- rebuild

* Wed Jun 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.11-1mamba
- update to 0.9.11

* Thu May 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.10-2mamba
- real 0.9.10 release

* Tue May 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.10-1mamba
- update to 0.9.10

* Sat May 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.9-1mamba
- update to 0.9.9

* Thu May 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8-1mamba
- update to 0.9.8

* Thu Jul 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.7-1mamba
- update to 0.9.7

* Wed Jun 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.90-1mamba
- update to 0.9.6.90

* Tue May 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-1mamba
- update to 0.9.6

* Tue May 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5.90-1mamba
- update to 0.9.5.90

* Sat Feb 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- update to 0.9.5
- added -webbuild subpackage

* Thu Aug 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4-1mamba
- update to 0.9.4

* Thu May 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- update to 0.9.3

* Mon May 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2-1mamba
- update to 0.9.2

* Wed May 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-1mamba
- update to 0.9.1

* Thu Apr 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Sun Mar 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5-1mamba
- update to 0.8.5
- added requirement for vixie-cron

* Sun Sep 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Thu Sep 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-1mamba
- update to 0.8.3

* Mon Aug 23 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- update to 0.8.2

* Sat Aug 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- update to 0.8.1

* Fri Aug 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0-1mamba
- update to 0.8.0

* Thu Jun 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-1mamba
- update to 0.7.1
- removed requirements for gcc-* and fixed requirement for rpm-build (was rpm-devel)

* Sat May 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- update to 0.7.0

* Sat Jan 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.3-1mamba
- update to 0.6.3

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.2-1mamba
- update to 0.6.2

* Wed Jul 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-1mamba
- update to 0.6.1

* Sun Apr 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.0-1mamba
- update to 0.6.0

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.3-1mamba
- update to 0.5.3

* Mon Apr 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.2-1mamba
- update to 0.5.2

* Mon Feb 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1-1mamba
- update to 0.5.1

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1mamba
- update to 0.5

* Fri Oct 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4.1-1mamba
- update to 0.4.4.1

* Fri Oct 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-1mamba
- update to 0.4.4

* Wed Oct 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Fri Oct 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- update to 0.4.2

* Wed Oct 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Sat Sep 27 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-2mamba
- fix /etc/autodist/scripts files permission

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- update to 0.4.0

* Mon Dec 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.3-1mamba
- update to 0.3.3
- arch changed to noarch

* Fri Nov 23 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-1mamba
- update to 0.3.2
- added requirements for compilers

* Fri Nov 23 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1mamba
- update to 0.3.1

* Thu Nov 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Tue Mar 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.7-1qilnx
- update to version 0.2.7 by autospec

* Mon Mar 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1qilnx
- update to version 0.2.6 by autospec

* Tue Jan 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-1qilnx
- update to version 0.2.5 by autospec

* Sat Jan 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-1qilnx
- update to version 0.2.4 by autospec

* Sat Jan 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-2qilnx
- replace distdb config file on update

* Thu Jan 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-1qilnx
- update to version 0.2.3 by autospec

* Fri Sep 22 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1qilnx
- update to version 0.2.2 by autospec

* Wed Jun 14 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1qilnx
- update to version 0.2.1 by autospec

* Thu Jun 08 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1qilnx
- update to version 0.1 by autospec

* Wed May 17 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.3-1qilnx
- update to version 0.0.3 by autospec

* Mon May 08 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.2-1qilnx
- update to version 0.0.2 by autospec

* Thu Apr 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.1.1-1qilnx
- update to version 0.0.1.1 by autospec

* Thu Apr 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-2qilnx
- add permissions to users in packager group

* Mon Apr 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1qilnx
- package created by autospec
